---
const path = Astro.url.pathname;
const { title, href } = Astro.props;
---

<a href={path + href} class="rounded-lg border border-zinc-700/40 bg-zinc-800 p-4 shadow-md hover:bg-zinc-700/50">
    <li class="flex items-center justify-between">
        <h2 class="text-lg font-semibold capitalize text-zinc-200">{title}</h2>
        <svg
            class="h-6 w-6 stroke-zinc-400 stroke-2"
            viewBox="0 0 24 24"
            stroke-linecap="round"
            stroke-linejoin="round">
            <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
            <line x1="5" y1="12" x2="19" y2="12"></line>
            <line x1="13" y1="18" x2="19" y2="12"></line>
            <line x1="13" y1="6" x2="19" y2="12"></line>
        </svg>
    </li>
</a>
